Skip to content
Start here

List account audit log product categories (Version 2)

GET/accounts/{account_id}/logs/audit/product_categories

Lists the available audit log product categories and the resource products each one expands to. Use these values with the product_category filter on the account audit logs endpoint.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account Settings WriteAccount Settings Read
Path ParametersExpand Collapse
account_id: string

The unique id that identifies the account.

ReturnsExpand Collapse
errors: optional array of object { message }
message: string
result: optional array of object { label, products, value }
label: optional string

A human-readable label for the product category.

products: optional array of object { label, value }

The resource products that the product category expands to.

label: optional string

A human-readable label for the product.

value: optional string

The resource_product value that the product category expands to.

value: optional string

The product category identifier used with the product_category filter.

success: optional true

Indicates whether the API call was successful

List account audit log product categories (Version 2)

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/logs/audit/product_categories \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "result": [
    {
      "label": "Zero Trust",
      "products": [
        {
          "label": "Gateway",
          "value": "gateway"
        }
      ],
      "value": "zerotrust"
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "result": [
    {
      "label": "Zero Trust",
      "products": [
        {
          "label": "Gateway",
          "value": "gateway"
        }
      ],
      "value": "zerotrust"
    }
  ],
  "success": true
}